| Method | URI | Description |
|---|---|---|
| POST | /v2/{tenant_id}/os-aggregates/{aggregate_id}/action | Adds a host to an aggregate. |
Normal response codes: 200
This table shows the URI parameters for the add host to aggregate request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
| UUID | The ID associated with an aggregate. |
Example 3.131. Add host to aggregate: XML request
<?xml version="1.0" encoding="UTF-8"?> <add_host host="7c9e00dbca5e4fb88538b021c0f933a5" />
Example 3.132. Add host to aggregate: JSON request
{
"add_host":
{
"host": "581d29b9e3504d8a895caddb13839b15"
}
}This operation does not require a request body.
Example 3.133. Add host to aggregate: XML response
<?xml version='1.0' encoding='UTF-8'?>
<aggregate>
<name>name</name>
<availability_zone>nova</availability_zone>
<deleted>False</deleted>
<created_at>2012-12-04 12:04:27.574038</created_at>
<updated_at>None</updated_at>
<hosts>
<host>392adba19dd449179804eaff16ff4a97</host>
</hosts>
<deleted_at>None</deleted_at>
<id>1</id>
<metadata>
<availability_zone>nova</availability_zone>
</metadata>
</aggregate>Example 3.134. Add host to aggregate: JSON response
{
"aggregate": {
"availability_zone": "nova",
"created_at": "2012-12-04T12:04:24.399784",
"deleted": false,
"deleted_at": null,
"hosts": [
"0438c6a4e8d841ad823b801d681f4680"
],
"id": 1,
"metadata": {
"availability_zone": "nova"
},
"name": "name",
"updated_at": null
}
}This operation does not return a response body.

